[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] Dazed & Confused



Brian Poole writes:
> I'm a bit confused, trying to find the latest 2.2 kernel with the lvm
> patch and it is a bit confusing to say the least. 
> 
> I wouldn't mind running the 2.2.17pres, if there is a patch for them (?),
> otherwise, where do I find the 2.2.16 patch? From searching the mailing
> list archives it looked like there were at least 2 different ones (?) so
> I'm not really sure which I should be using.

Unfortunately, there is no "correct" version of the LVM patch, since
Heinz has not "blessed" either of the 2.2.16 patches available.
The patch that I posted previously has all of the _known_ bugfixes
in it, and is up-to-date with the 2.4 kernel code, so you can use the
same user-space tools when switching back & forth between 2.2 and 2.4.

It does not apply to the stock 2.2.16 or 2.2.17 kernel source because
lvm-snap.c uses some features that are not available in stock 2.2.X.
However, if you can live without snapshots, it _probably_ wouldn't be
hard to make it a config option, but I've never looked at it.

Cheers, Andreas


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]